import request from '@/utils/request'

// 查询常用电话列表
export function listCommonPhone(query) {
  return request({
    url: '/business/commonPhone/list',
    method: 'get',
    params: query
  })
}

// 查询常用电话详细
export function getCommonPhone(id) {
  return request({
    url: '/business/commonPhone/' + id,
    method: 'get'
  })
}

// 新增常用电话
export function addCommonPhone(data) {
  return request({
    url: '/business/commonPhone',
    method: 'post',
    data: data
  })
}

// 修改常用电话
export function updateCommonPhone(data) {
  return request({
    url: '/business/commonPhone',
    method: 'put',
    data: data
  })
}

// 删除常用电话
export function delCommonPhone(id) {
  return request({
    url: '/business/commonPhone/' + id,
    method: 'delete'
  })
}
